// CntrItem.h : interface of the CAgainCntrItem class
//

#pragma once

class CDoc2;
class CView5;

class CDocCntrItem : public CRichEditCntrItem
{
	DECLARE_SERIAL(CDocCntrItem)

// Constructors
public:
	CDocCntrItem(REOBJECT* preo = NULL, CDoc2* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer

// Attributes
public:
	CDoc2* GetDocument()
		{ return reinterpret_cast<CDoc2*>(CRichEditCntrItem::GetDocument()); }
	CView5* GetActiveView()
		{ return reinterpret_cast<CView5*>(CRichEditCntrItem::GetActiveView()); }

	public:
	protected:

// Implementation
public:
	~CDocCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

